Index: trunk/Bundles/Latex.tmbundle/Commands/Watch document.tmCommand
===================================================================
--- trunk/Bundles/Latex.tmbundle/Commands/Watch document.tmCommand	(revision 7988)
+++ trunk/Bundles/Latex.tmbundle/Commands/Watch document.tmCommand	(working copy)
@@ -4,9 +4,10 @@
 <dict>
 	<key>beforeRunningCommand</key>
 	<string>saveActiveFile</string>
+	<key>bundleUUID</key>
+	<string>46788DCE-6227-11D9-BFB1-000D93589AF6</string>
 	<key>command</key>
-	<string>LATEX_WATCH_VERSION=2.5
-#  see the end of latex_watch.pl for changelog
+	<string>#  See the end of $watch_script (defined below) for changelog and version information.
 
 watch_script="$TM_BUNDLE_SUPPORT"/bin/latex_watch.pl
 
@@ -81,6 +82,6 @@
 	<key>scope</key>
 	<string>text.tex.latex</string>
 	<key>uuid</key>
-	<string>4BB11B68-A0F5-4670-A0B9-B3982D10A54B</string>
+	<string>D97ED4AB-A432-4814-8B92-0ED4DB0301B7</string>
 </dict>
 </plist>
Index: trunk/Bundles/Latex.tmbundle/Support/bin/latex_watch.pl
===================================================================
--- trunk/Bundles/Latex.tmbundle/Support/bin/latex_watch.pl	(revision 7988)
+++ trunk/Bundles/Latex.tmbundle/Support/bin/latex_watch.pl	(working copy)
@@ -1,7 +1,7 @@
 #! /usr/bin/perl
 
 # LaTeX Watch,
-	our $VERSION = "2.6";
+	our $VERSION = "2.7";
 #	- by Robin Houston, March-August 2007.
 
 # Usage: latex_watch.pl [ options ] file.tex
@@ -709,18 +709,20 @@
 # TeXniscope
 
 sub start_pdf_viewer_texniscope {
-	debug_msg("Starting PDF viewer (TeXniscope)", "Opening file: $compiled_document");
+	my $doc = $compiled_document;
+	$doc =~ s!^\./!POSIX::getcwd() . "/"!e;
+	debug_msg("Starting PDF viewer (TeXniscope)", "Opening file: $doc");
 	applescript (
 		qq(tell application "TeXniscope").
-		qq{ to open file ((POSIX file }.quote_applescript($compiled_document).
-			qq{)) as string});
+		qq{ to open file ((POSIX file }.quote_applescript($doc).
+			qq{) as string)});
 	$viewer_id = "TeXniscope";
 }
 
 sub refresh_pdf_viewer_texniscope {
 	debug_msg("Refreshing PDF viewer (TeXniscope)");
 	applescript(
-		qq(tell document ).quote_applescript($compiled_document).
+		qq(tell document ).quote_applescript("$name.pdf").
 		qq( of application "TeXniscope" to refresh))
 }
 
@@ -994,3 +996,6 @@
       'hide extension' attribute is removed in that case too.
 	- Integrate with Brad's new version of the LaTeX bundle: use the new prefs
 	  system.
+
+2.7:
+	- Fix TeXniscope support.
